Linux, Windows, or Mac: You need to patch Adobe Flash